classification
Title: Better SSL errors
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: exarkun, georg.brandl, pitrou, python-dev
Priority: low Keywords: patch

Created on 2012-05-16 22:45 by pitrou, last changed 2012-06-22 19:21 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
ssl_errs.patch pitrou, 2012-05-16 22:45 review
Messages (4)
msg160939 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-05-16 22:45
This patch tries to provide better SSL errors by using OpenSSL's official mnemonics. The sub-library mnemonic (e.g. "SSL", "PEM"...) is provided as the "library" attribute on an exception, and the reason mnemonic (e.g. "CERTIFICATE_VERIFY_FAILED") is provided as the "reason" attribute.

I'm welcoming of any comments or suggestions.
msg163138 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-06-19 06:43
I'd like to see this in 3.3.
msg163462 - (view) Author: Roundup Robot (python-dev) Date: 2012-06-22 19:17
New changeset 96513d71e650 by Antoine Pitrou in branch 'default':
Issue #14837: SSL errors now have `library` and `reason` attributes describing precisely what happened and in which OpenSSL submodule.
http://hg.python.org/cpython/rev/96513d71e650

New changeset e193fe3d017e by Antoine Pitrou in branch 'default':
Add forgotten files for #14837.
http://hg.python.org/cpython/rev/e193fe3d017e
msg163463 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-06-22 19:21
There it is, Georg :)
As mentioned in the commit message, this unfortunately creates a reference leak, which is apparently related to the use of the stable ABI.
History
Date User Action Args
2012-06-22 19:21:53pitrousetstatus: open -> closed
resolution: fixed
messages: + msg163463

stage: resolved
2012-06-22 19:17:15python-devsetnosy: + python-dev
messages: + msg163462
2012-06-19 06:43:26georg.brandlsetnosy: + georg.brandl
messages: + msg163138
2012-05-16 22:45:38pitroucreate